<div class="col-lg-12">
    <app-standard-widget [widgetHeader]="true" [widgetTitle]="'Work Orders'"> </app-standard-widget>
</div>
<div class="col-lg-12">
    <app-standard-widget [widgetHeader]="true" [widgetTitle]="'RF Optimizations'" [NoPadding]="true" [BI_Container]="true" [overflowHide]="true"  (addWidget)='addItem()'>
       <!---------------------------------------STARTS FROM HERE----------------------------------->
        <div class="optimization_layout">
            <div class="opto_tabbar align-items-center">
                <ul class="tabber_list">
                    <li *ngFor="let item of groups; let i = index">
                        <a href="#" [class]="{'active': selectedItem == item}" (contextmenu)="updateContextItems(item)"
                            (click)="goto(i); listClick($event, item)" id="image">{{ item.name }}</a>
 
                    </li>
                </ul>
                <dx-context-menu 
                [dataSource]="items" 
                [width]="200" 
                target="#image" 
                (onItemClick)="itemClick($event)">
                </dx-context-menu>

                <dx-popup
                [width]="300"
                [height]="150"
                [showTitle]="true"
                title="Delete"
                [dragEnabled]="false"
                [closeOnOutsideClick]="true"
                [(visible)]="showDeleteConfirmation">
                    <div *dxTemplate="let data of 'content'">
                    Are you sure you want to delete?
                        <div class="d-flex mt-3 justify-content-end">
                            <dx-button
                            class="small_btn"
                            stylingMode="text"
                            text="Cancel"
                            type="default"
                            (onClick)="cancel($event)">
                            </dx-button>

                            <dx-button
                            class="small_btn ml-1"
                            stylingMode="text"
                            text="Delete"
                            type="danger"
                            (onClick)="deleteTab($event)">
                            </dx-button>
                        </div>  
                    </div>
                </dx-popup>

        

                
                    <div class="d-flex align-items-center">
                        <div *ngIf="isAddTab">
                            <dx-text-box [(value)]="tabName" placeholder="Tab Name">
                                <dx-validator>
                                    <dxi-validation-rule type="required"> </dxi-validation-rule>
                                </dx-validator>
                            </dx-text-box>
                        </div>
                        <div class="ml-2" *ngIf="isAddTab">
                            <dx-button  class="custom-btn" icon="check" stylingMode="contained" type="success" (onClick)="saveNewTab($event)"> </dx-button>
                        </div>
                        <div class="ml-2"  *ngIf="isAddTab">
                            <dx-button  class="custom-btn" icon="trash" stylingMode="contained" type="danger" (onClick)="addNewTab()"> </dx-button>
                        </div>
                    </div>
                
                    <div *ngIf="!isAddTab">
                        <dx-button icon="plus" class="custom-btn" stylingMode="contained" type="default" text="New" (onClick)="addNewTab()"> </dx-button>
                    </div>
                <!--------------------------------------ENDS HERE------------------------------------>
            </div><!-- Opto Tabber -->

            <div class="opto_tabber_content">
                <div class="optimization_tabs">
                    <tabset #tabset class="opto_tabs hide_selectors">
                        <tab heading="Analysis">
                            <gridster [options]="options" class="test">
                                <gridster-item [item]="item" *ngFor="let item of dashboard">
                                    <app-standard-widget [widgetHeader]="true" [widgetTitle]="item.label" [widgetItem]="item" (deleteWidget)="removeItem($event)"> 
                                        <label *ngIf="!item.hasContent"></label>
                                        <i [class]="item.icon" style="font-size:36px" *ngIf="item.icon"></i>
                             
                                  
                                    </app-standard-widget>
                                </gridster-item>
                              </gridster>
                        </tab><!-- Analysis Tab -->
          
                        <tab heading="Settings">
                            Settings
                        </tab><!-- Settings Tab -->
                        <tab  *ngFor="let i of tabList">
                            {{i.heading}}
                        </tab>
                      
                    </tabset>
                </div><!-- Optimization Tabs -->
    
                <div class="optimization_widgets" [class]="widgetMenuOpen ? 'slideOut' : ''">
                    <div class="view_panel_handle reverse" (click)="widgetMenuOpen = !widgetMenuOpen"> <span> <i class="fa fa-align-center"></i> </span> Widgets </div>

                    <app-standard-widget [widgetHeader]="true" [widgetTitle]="'Child Widget'"> </app-standard-widget>

                    <app-standard-widget [widgetHeader]="true" [widgetTitle]="'Child Widget'"> </app-standard-widget>
                </div>
            </div><!-- Opto Tabber Content -->
        </div><!-- Optimization Layout -->


    </app-standard-widget>
</div>